TikTok LIVE Anchors

Moderators

Manage moderators within the TikTok LIVE Anchors API. This section covers endpoints for working with moderators including retrieval, creation, and management operations.

Retrieve room moderators

GEThttps://api.eulerstream.com/webcast/anchors/{numeric_id}/moderation/moderators

Retrieve the list of moderators in a livestream room.

Path Parameters

numeric_id*string

The streamer's numeric user ID

Header Parameters

One ofOne authentication header required
x-oauth-tokenstring

Access token from a 3rd-party Euler OAuth app.

x-cookie-headerstring

Raw TikTok cookies for direct authentication.

x-image-sourceenum

Where a scraped image URL should be served from. Selected per-request via the x-image-source header. Defaults to {@link RouteImageSource.ORIGIN}.

Responses

code*number (double)
messagestring
responseobject
Response200

Add room moderator

PUThttps://api.eulerstream.com/webcast/anchors/{numeric_id}/moderation/moderators

Add a moderator in a livestream room.

Path Parameters

numeric_id*string

The streamer's user ID

Query Parameters

to_user_id*string

The user ID to add as moderator

Header Parameters

One ofOne authentication header required
x-oauth-tokenstring

Access token from a 3rd-party Euler OAuth app.

x-cookie-headerstring

Raw TikTok cookies for direct authentication.

Responses

code*number (double)
messagestring
responseobject
Response200

Remove room moderator

DELhttps://api.eulerstream.com/webcast/anchors/{numeric_id}/moderation/moderators

Remove a moderator from a livestream room.

Path Parameters

numeric_id*string

The streamer's user ID

Query Parameters

to_user_id*string

The user ID to remove as moderator

Header Parameters

One ofOne authentication header required
x-oauth-tokenstring

Access token from a 3rd-party Euler OAuth app.

x-cookie-headerstring

Raw TikTok cookies for direct authentication.

Responses

code*number (double)
messagestring
responseobject
Response200